Project

General

Profile

Feature #34495

Create qBittorrent iocage plugin

Added by Disk Didler over 2 years ago. Updated about 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Martin Wilke
Category:
OS
Target version:
Estimated time:
Severity:
Low
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
Yes
Support Suite Ticket:
n/a
Hardware Configuration:

Description

I have been emailing a guy called Yuri who maintains this:
https://www.freshports.org/net-p2p/qbittorrent/
https://reviews.freebsd.org/D13416

According to my emails with Yuri, he's having some issues with 'flavors'

"The new version of port needs to add flavors, but portmgr@ blocked commits that add flavors. I tried to commit it like 3 times, and reminded portmgr@ many times to no avail. I guess I don't have the right skillset required to deal with portmgr@. I will remind them now again."

I realise this is really starting to tread outside the waters of FreeNAS / ioCage but this does seem to have some fair demand (there's a popular guide on the forums on how to get it running, since it never had a plugin)

Perhaps someone smart within the team can help Yuri very easily to get it running?
Either way, it seems the work is 2/3 complete, it just needs a nudge to get the port back up to a modern version and then someone write a plugin for iocage to import said port.

I wouldn't normally try and push for such a thing but I see this entry here from the team, where you guys (appear) willing to organise another port.
https://redmine.ixsystems.com/issues/32949

Thanks for your time, if you say no, so be it, but it's worth asking.
Thanks


Related issues

Related to FreeNAS - Bug #38014: iocage qbittorrent plugin not workingClosed

History

#1 Updated by Dru Lavigne over 2 years ago

  • Subject changed from V.Low priority: Please someone update / create a port of qBittorrent 4.1.1 or newer for ioCage to Create a qBittorrent plugin
  • Assignee changed from Release Council to Aaron St. John

#2 Updated by neyla bhm over 2 years ago

Important fixes are in the version of libtorrent used. It fixes SOCKS5 issues and and tracker announces about downloaded/uploaded data.

FEATURE: Add 'Moving' state for torrents being relocated/moved (sledgehammer999)
FEATURE: Show rechecking progress (sledgehammer999)
FEATURE: Add option to remember last used save path (glassez)
FEATURE: Torrent name is also renamed if the content was renamed in the "Add New Torrent" dialog (glassez)
FEATURE: Relax behavior of "Download first and last piece first". It applies to all files and not only to the previewable. (Chocobo1)
BUGFIX: Fix issues with translatable strings (Chocobo1)
BUGFIX: Fix displayed tracker messages (Chocobo1)
BUGFIX: Make settings file recovery more robust (Chocobo1)
BUGFIX: Retry saving settings when operation failed (Chocobo1)
BUGFIX: Log successful torrent move (sledgehammer999)
BUGFIX: Fix deletion of old logs (sledgehammer999)
BUGFIX: Delete non-commited fastresume files (sledgehammer999)
BUGFIX: Don't migrate torrents that have newer fastresumes (sledgehammer999)
BUGFIX: Fix adding multiple torrents at once from WebUI (glassez)
BUGFIX: Improve "Run External Program" behavior. On Windows, a backslash isn't appended to paths from path variables (Chocobo1)
BUGFIX: Suppress multiple I/O errors for the same torrent (sledgehammer999)
BUGFIX: Replace raster qbt logo with vector version (Chocobo1)
WEBUI: Fix wrong API method names (glassez)
WEBUI: Filter torrent info endpoint by hashes (Marcel Petersen)
WEBUI: Fix invalid API calls in WebUI (glassez)
WEBUI: Improve legacy API params handling (glassez)
WEBUI: Fix params handling for some legacy API methods (glassez)
WEBUI: Apply locale changes immediately in WebUI (Chocobo1)
WEBUI: Use 32px icons for favicon (Chocobo1)
WEBUI/RSS: Properly set RSS settings via API (glassez)
RSS: Fix auto-downloading rule when Smart filter with regular Episode filter are used (glassez)
RSS: Make "Ignoring days" to behave like other filters (glassez)
RSS: Place "Use Smart Episode Filter" more correctly (glassez)
RSS: Use RSS feed update time as a fallback (glassez)
COSMETIC: Fix Stats dialog size (sledgehammer999)
MACOS: Fix GUI scaling factor on macOS (Chocobo1)
WINDOWS: Update icons (adem4ik)
LINUX: Fix open destination folder with Nautilus > 3.28 (Evgeny Lensky)
OTHER: Code improvements and refactoring (thalieht, Nick Korotysh, Chocobo1)

#3 Updated by Disk Didler over 2 years ago

  • Needs Automation changed from No to Yes

Honestly, I'm impressed they're even considering it.

This isn't their responsibility to work on the port over at Freshports (If that's not clear from me, that's what probably needs to be done, it's out of date and Yuri, the maintainer appears to be 'stuck' if I'm understanding our emails between one and other)

Then, once the Freshports port is up to scratch, someone needs to make the plugin, so it's a bit of work - but it's a popular package.

Thanks guys.

#4 Updated by Aaron St. John over 2 years ago

  • Status changed from Unscreened to In Progress

Made the initial setup for the artifact repo. It can be found here: https://github.com/freenas/iocage-plugin-qbittorrent

#5 Updated by Aaron St. John over 2 years ago

  • Assignee changed from Aaron St. John to Martin Wilke

#6 Updated by Martin Wilke over 2 years ago

Hi,

https://reviews.freebsd.org/D13416 is explain why portmgr do block the change, and I have to agree.

#7 Updated by Aaron St. John over 2 years ago

  • Status changed from In Progress to Blocked

#8 Updated by Disk Didler over 2 years ago

Martin Wilke wrote:

Hi,

https://reviews.freebsd.org/D13416 is explain why portmgr do block the change, and I have to agree.

Hi Martin,

What exactly does this mean? Can it be fixed? And is that up to Yuri?

#9 Updated by Disk Didler over 2 years ago

Disk Didler wrote:

Martin Wilke wrote:

Hi,

https://reviews.freebsd.org/D13416 is explain why portmgr do block the change, and I have to agree.

Hi Martin,

What exactly does this mean? Can it be fixed? And is that up to Yuri?

Martin, Aaron, looks like Yuri finally got it going, all up to date?

Was this your help?

#10 Updated by Martin Wilke over 2 years ago

  • Status changed from Blocked to In Progress

#11 Updated by Martin Wilke over 2 years ago

Thanks, for the follow up. I will see to get it completed today.

- Martin

#12 Updated by Disk Didler over 2 years ago

Martin Wilke wrote:

Thanks, for the follow up. I will see to get it completed today.

- Martin

Just FYI: I'm testing this on my VM and can re-create issue.
Fresh VM, latest updates, can install Plex Media Server plugin from the UI (after making a pool, no faults)
If I attempt QBit, it spits out.

"[priority,] message string"

"Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in process_worker
r = call_item.fn(call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
iocage.fetch(
*options)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
props, accept_license=accept, official=official)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 689, in fetch_plugin_index
props, 0, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 115, in fetch_plugin
self.
_fetch_plugin_inform__(conf, num, plugins, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 215, in fetch_plugin_inform
silent=self.silent)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 82, in logit
callback({"level": level, "message": msg}, exit_on_error)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 55, in callback
log.log(15, message)
File "/usr/local/lib/python3.6/logging/
_init__.py", line 1372, in log
self._log(level, msg, args, **kwargs)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in log
self.handle(record)
File "/usr/local/lib/python3.6/logging/
_init__.py", line 1452, in handle
self.callHandlers(record)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
hdlr.handle(record)
File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
self.emit(record)
File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
_msg)
TypeError: [priority,] message string
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
job,
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
TypeError: [priority,] message string
"

#13 Updated by Martin Wilke over 2 years ago

Hi,

Yes, i have not completed this plugin yet, I stuck with a small problem for binding the ip to the web interface. I will try to get it fixed by today or tomorrow.

- Martin

#14 Updated by Dru Lavigne about 2 years ago

  • Related to Bug #38014: iocage qbittorrent plugin not working added

#15 Updated by Martin Wilke about 2 years ago

  • Status changed from In Progress to Ready for Testing

completed, after this have been pulled u can test it.

https://github.com/freenas/iocage-ix-plugins/pull/31
https://github.com/freenas/iocage-plugin-qbittorrent/pull/1

iocage fetch -P --name ./qbittorrent.json dhcp=on vnet=on bpf=yes

#16 Updated by Dru Lavigne about 2 years ago

  • Subject changed from Create a qBittorrent plugin to Create qBittorrent iocage plugin
  • Status changed from Ready for Testing to In Progress

#17 Updated by Dru Lavigne about 2 years ago

  • Status changed from In Progress to Ready for Testing
  • Target version changed from Backlog to 11.2-BETA2
  • Needs Merging changed from Yes to No

#18 Updated by Timothy Moore II about 2 years ago

  • Status changed from Ready for Testing to Failed Testing

Testing with FreeNAS Mini freshly installed with FreeNAS-11.2-MASTER-201807190857:

Go to Plugins/Available. Find and install “qbittorrent”. Leave DHCP set and click “Save”. Error popup appears. Unset DHCP, enter a static IP address, and click “Save”. The same popup appears:

[priority,] message string 

More info...
Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
    iocage.fetch(**options)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
    props, accept_license=accept, official=official)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
    props, 0, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 118, in fetch_plugin
    self.__fetch_plugin_inform__(conf, num, plugins, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 218, in __fetch_plugin_inform__
    silent=self.silent)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 83, in logit
    _callback({"level": level, "message": msg}, exit_on_error)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 56, in callback
    log.log(15, message)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1372, in log
    self._log(level, msg, args, **kwargs)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in _log
    self.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1452, in handle
    self.callHandlers(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
    hdlr.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
    self.emit(record)
  File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
    _msg)
TypeError: [priority,] message string
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
    await self.future
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
TypeError: [priority,] message string

Will attach a debug when it finishes downloading.

#19 Updated by Timothy Moore II about 2 years ago

  • Status changed from Failed Testing to Ready for Testing

Looks like I was a little early - I'll try again with tomorrow's nightly update.

#20 Updated by Timothy Moore II about 2 years ago

  • Status changed from Ready for Testing to Failed Testing

Retested with FreeNAS Mini updated to today's build: FreeNAS-11.2-MASTER-201807200857

The same behavior is observed when attempting to install qbittorrent plugin, with the same error message pasted above.

#21 Updated by Disk Didler about 2 years ago

Tested this morning on this build
FreeNAS-11.2-MASTER-201807220850

"[priority,] message string"

Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
    iocage.fetch(**options)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
    props, accept_license=accept, official=official)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
    props, 0, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 118, in fetch_plugin
    self.__fetch_plugin_inform__(conf, num, plugins, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 218, in __fetch_plugin_inform__
    silent=self.silent)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 83, in logit
    _callback({"level": level, "message": msg}, exit_on_error)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 56, in callback
    log.log(15, message)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1372, in log
    self._log(level, msg, args, **kwargs)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in _log
    self.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1452, in handle
    self.callHandlers(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
    hdlr.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
    self.emit(record)
  File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
    _msg)
TypeError: [priority,] message string
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
    await self.future
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
TypeError: [priority,] message string

PLEASE be aware of this job, perhaps none of this is your fault though?

https://redmine.ixsystems.com/issues/38355

Maybe latest nightly has issues? (about 50% plugins I've tested, are broken)

#22 Updated by Bonnie Follweiler about 2 years ago

Retested with FreeNAS-11.2-MASTER-201807230852 and I get the following error message:

[priority,] message string

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in process_worker
r = call_item.fn(call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
iocage.fetch(
*options)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
props, accept_license=accept, official=official)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
props, 0, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 118, in fetch_plugin
self.
_fetch_plugin_inform__(conf, num, plugins, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 218, in fetch_plugin_inform
silent=self.silent)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 83, in logit
callback({"level": level, "message": msg}, exit_on_error)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 56, in callback
log.log(15, message)
File "/usr/local/lib/python3.6/logging/
_init__.py", line 1372, in log
self._log(level, msg, args, **kwargs)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in log
self.handle(record)
File "/usr/local/lib/python3.6/logging/
_init__.py", line 1452, in handle
self.callHandlers(record)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
hdlr.handle(record)
File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
self.emit(record)
File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
_msg)
TypeError: [priority,] message string
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
job,
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
TypeError: [priority,] message string

#23 Updated by Timothy Moore II about 2 years ago

  • Status changed from Failed Testing to Passed Testing
  • Needs QA changed from Yes to No

Retested with FreeNAS System updated to FreeNAS-11.2-MASTER-201807250900:

Go to Plugins/Available and choose "Install" for "qbittorrent". After waiting 1-2 minutes, install completes and qbittorrent appears in Plugins/Installed.

#24 Updated by Disk Didler about 2 years ago

Just quick, it's not showing the plugin version on the plugin page.
I also put note on the job for that.

https://redmine.ixsystems.com/issues/32754

#25 Updated by Dru Lavigne about 2 years ago

  • Status changed from Passed Testing to Done
  • Needs Doc changed from Yes to No

Also available in: Atom PDF